<?php

	$controller = $this->request->params['controller'];
	$action = $this->request->params['action'];

	$links = [
		[
			'name' => __d('buzz_diary_accounts', 'Overview'),
			'url' => ['controller' => 'accounts', 'action' => 'index'],
			'active' => $controller === 'accounts' && in_array(
				$action,
				['index', 'bookings', 'past_bookings', 'cancellations', 'credits']
			)
		],
		[
			'name' => __d('buzz_diary_accounts', 'Diary'),
			'url' => ['controller' => 'accounts', 'action' => 'diary'],
			'active' => $controller === 'accounts' && in_array(
				$action,
				['diary', 'book', 'cancel']
			)
		],
		[
			'name' => __d('buzz_diary_accounts', 'My Account'),
			'url' => ['controller' => 'accounts', 'action' => 'update'],
			'active' => $controller === 'accounts' && in_array(
				$action,
				['update']
			)
		],
		[
			'name' => __d('buzz_diary_accounts', 'Credits'),
			'url' => ['controller' => 'account_credits', 'action' => 'index'],
			'active' => $controller === 'account_credits' || $controller === 'account_payment_requests'
		]
	];

	$tabs = '';
	foreach ($links as $link):

		$tabs .= $this->Html->tag(
			'li',
			$this->Html->link($link['name'], $link['url']),
			['class' => 'r-tabs-tab' . ($link['active'] ? ' r-tabs-state-active' : null)]
		);

	endforeach;

	echo $this->Html->tag('ul', $tabs, ['class' => 'r-tabs-nav']);
